----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    15:43:40 07/31/2014 
-- Design Name: 
-- Module Name:    Counter - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity Counter is
Port 
( 
	CLK_CNT : in  STD_LOGIC;
	clr     : in  STD_LOGIC;
	x       : out  STD_LOGIC_VECTOR (3 downto 0)
);
end Counter;

architecture Behavioral of Counter is

	signal count : STD_LOGIC_VECTOR(3 downto 0);

begin

	process(CLK_CNT, clr)
	begin
		if clr = '1' then
			count <= (others => '0');
		elsif rising_edge(CLK_CNT) then
			count <= count + 1;
		end if;
	end process;
	
	x <= count;

end Behavioral;
